## golang-gopkg-vansante-go-ffprobe.v2 2.1.1

=== Makefile ===
GOLANGCILINT := $(shell command -v ./bin/golangci-lint 2> /dev/null)

all: lint test

clean:
	# Cleaning test cache
	go clean -testcache

lint:
ifndef GOLANGCILINT
	# golangci-lint not installed, downloading...
	go get github.com/golangci/golangci-lint
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s v1.15.0
endif
	./bin/golangci-lint run

test:
	# Running tests
	go test -v -timeout 10s -race ./...

.PHONY: all clean lint test

=== debian/changelog ===
golang-gopkg-vansante-go-ffprobe.v2 (2.1.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Jul 2023 14:35:13 +0200

golang-gopkg-vansante-go-ffprobe.v2 (2.1.1-2) unstable; urgency=medium

  * Source-only Upload.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 05 Jul 2023 00:22:56 +0530

golang-gopkg-vansante-go-ffprobe.v2 (2.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1039726)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 28 Jun 2023 17:51:01 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := assets

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-gopkg-vansante-go-ffprobe.v2 2.2.1

=== debian/changelog ===
golang-gopkg-vansante-go-ffprobe.v2 (2.2.1-1) unstable; urgency=medium

  * Team Upload.
  * Fix vcs URIs
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders
  * New upstream version 2.2.1

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Oct 2025 21:06:31 +0530

=== debian/control ===
Source: golang-gopkg-vansante-go-ffprobe.v2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               ffmpeg
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-vansante-go-ffprobe.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-vansante-go-ffprobe.v2.git
Homepage: https://github.com/vansante/go-ffprobe
XS-Go-Import-Path: gopkg.in/vansante/go-ffprobe.v2

Package: golang-gopkg-vansante-go-ffprobe.v2-dev
Architecture: all
Depends: ${misc:Depends}, ffmpeg
Description: Library to easily get the ffprobe output of a given file (library)
 Small library for executing an ffprobe process on a given file and
 getting an easy to use struct representing the returned ffprobe data.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/vansante/go-ffprobe/tags .*/v?(\d\S*)\.tar\.gz debian
